fbpx

Today I've received a bunch of panicked calls and messages from people freaking out because their website looks different, specifically in the Dashboard area. Wordpress 5.0 - Gutenberg is LIVE. For the most part, the sites we manage weathered the update well, as most should if they're well-coded. If not, you can disable it (but you should still get your site up to par).

If you have a website developed using Wordpress, this is important news. There is a lot of controversy among developers and designers as to whether this is good or bad news. Regardless, it is happening, so we all better get used to it. It's been coming for a long time, but a lot have ignored it.

A few things to think about before upgrading:

  • Before going any further, back up your Wordpress install. A terrific free option is Updraft Plus (https://wordpress.org/plugins/updraftplus/). Always, always, ALWAYS back up before you make any significant changes to your site. At minimum, I recommend backing up once a week. If you blog every day, consider doing it more often.
  • UPDATE ALL PLUGINS to the current version, to be sure you've got the most recent - and most likely to be compatible - version of your plugins. So far we've seen quite a few break simply because of this missed step.
  • UPDATE ALL THEMES to the current version. A lot of the themes out there, and site builders, including Divi and Visual Composer, broke today when clients updated without this step.

If you want to be able to shut off Gutenberg for all of your site, or only parts of it, you can use this free plugin: https://wordpress.org/plugins/disable-gutenberg/. It allows you to pick and choose which types of posts you want to disable, and allowing you to leave it on certain posts, if you choose to.

If you want to totally disable Gutenberg and use the "Classic" editor that is in place now, you can use this plugin: https://wordpress.org/plugins/classic-editor/. It completely disables Gutenberg site-wide.

Gutenberg is not earth-shattering, but definitely going to put a crimp in some sites, particularly those that are not prepared, using old and outdated themes and plugins. Take a few precautions ahead of time, and you should be ok if your theme and plugins are well-coded.

Truthfully, after testing it out, it has not improved much from about a year ago from my point of view, and is still very limited with respect to flexibility for layout creation. I will post more articles as I have time to review the updated version more in depth.

Thanks for reading!  :-)